test: _DUMP_CONTROL_BLOCK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DUMP_CONTROL_BLOCK Struct Reference

`#include <iop.h>`

List of all members.

## Public Attributes

UCHAR | Type
CHAR | Flags
USHORT | Size
CCHAR | NumberProcessors
CHAR | Reserved
USHORT | ProcessorArchitecture
PDUMP_STACK_CONTEXT | DumpStack
PPHYSICAL_MEMORY_DESCRIPTOR | MemoryDescriptor
ULONG | MemoryDescriptorLength
PLARGE_INTEGER | FileDescriptorArray
ULONG | FileDescriptorSize
PULONG | HeaderPage
PFN_NUMBER | HeaderPfn
ULONG | MajorVersion
ULONG | MinorVersion
ULONG | BuildNumber
CHAR | VersionUser [32]
ULONG | HeaderSize
LARGE_INTEGER | DumpFileSize
ULONG | TriageDumpFlags
PUCHAR | TriageDumpBuffer
ULONG | TriageDumpBufferSize

## Member Data Documentation

ULONG _DUMP_CONTROL_BLOCK::BuildNumber

| Definition at line 466 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

LARGE_INTEGER _DUMP_CONTROL_BLOCK::DumpFileSize

| Definition at line 469 of file iop.h. Referenced by IopCompleteDumpInitialization(), IopConfigureCrashDump(), and IopInitializeDCB().

PDUMP_STACK_CONTEXT _DUMP_CONTROL_BLOCK::DumpStack

| Definition at line 457 of file iop.h. Referenced by IopConfigureCrashDump(), IopFreeDCB(), and IoWriteCrashDump().

PLARGE_INTEGER _DUMP_CONTROL_BLOCK::FileDescriptorArray

| Definition at line 460 of file iop.h. Referenced by IopCompleteDumpInitialization(), IopFreeDCB(), IopWriteToDisk(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::FileDescriptorSize

| Definition at line 461 of file iop.h. Referenced by IopCompleteDumpInitialization(), and IopWriteToDisk().

CHAR _DUMP_CONTROL_BLOCK::Flags

| Definition at line 452 of file iop.h. Referenced by IopConfigureCrashDump(), IopFreeDCB(), IopInitializeDCB(), and IoWriteCrashDump().

PULONG _DUMP_CONTROL_BLOCK::HeaderPage

| Definition at line 462 of file iop.h. Referenced by IopCreateSummaryDump(), IopFreeDCB(), IopInitializeDCB(), and IoWriteCrashDump().

PFN_NUMBER _DUMP_CONTROL_BLOCK::HeaderPfn

| Definition at line 463 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::HeaderSize

| Definition at line 468 of file iop.h. Referenced by IopConfigureCrashDump(), IopCreateSummaryDump(), IopInitializeDCB(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::MajorVersion

| Definition at line 464 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

PPHYSICAL_MEMORY_DESCRIPTOR _DUMP_CONTROL_BLOCK::MemoryDescriptor

| Definition at line 458 of file iop.h. Referenced by IopConfigureCrashDump(), IopFreeDCB(), IopInitializeDCB(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::MemoryDescriptorLength

| Definition at line 459 of file iop.h. Referenced by IopInitializeDCB().

ULONG _DUMP_CONTROL_BLOCK::MinorVersion

| Definition at line 465 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

CCHAR _DUMP_CONTROL_BLOCK::NumberProcessors

| Definition at line 454 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

USHORT _DUMP_CONTROL_BLOCK::ProcessorArchitecture

| Definition at line 456 of file iop.h. Referenced by IopInitializeDCB().

CHAR _DUMP_CONTROL_BLOCK::Reserved

| Definition at line 455 of file iop.h.

USHORT _DUMP_CONTROL_BLOCK::Size

| Definition at line 453 of file iop.h. Referenced by IopInitializeDCB().

PUCHAR _DUMP_CONTROL_BLOCK::TriageDumpBuffer

| Definition at line 471 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::TriageDumpBufferSize

| Definition at line 472 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

ULONG _DUMP_CONTROL_BLOCK::TriageDumpFlags

| Definition at line 470 of file iop.h. Referenced by IopInitializeDCB(), and IoWriteCrashDump().

UCHAR _DUMP_CONTROL_BLOCK::Type

| Definition at line 451 of file iop.h. Referenced by IopInitializeDCB().

CHAR _DUMP_CONTROL_BLOCK::VersionUser[32]

| Definition at line 467 of file iop.h. Referenced by IoWriteCrashDump().

The documentation for this struct was generated from the following file:

- iop.h